<template>
  <fragment>
    <Sidebar/>
    <div id="content">
      <div id="top-menu">
        <v-button-link @click="onSignOut">sign out</v-button-link>
      </div>
      <router-view/>
    </div>
  </fragment>
</template>

<script>
  import Sidebar from './sidebar/Sidebar'
  import VButtonLink from 'zeus-common/src/component/button/VButtonLink'
  import { signOut } from '../common/auth'

  export default {
    name: 'PageTemplate',
    components: { VButtonLink, Sidebar },
    methods: {
      onSignOut: signOut
    }
  }
</script>

<style scoped>
  #content {
    flex-grow: 1;
    min-height: 100%;
  }
  #top-menu {
    text-align: right;
    padding: 1em 2em;
    margin-bottom: 2.1em;
  }
</style>